## SnapdScreenshot SnapdScreenshot — Screenshot information |

## Functions

const gchar * | snapd_screenshot_get_url ()
guint | snapd_screenshot_get_width ()
guint | snapd_screenshot_get_height ()

## Properties

guint | height | Read / Write / Construct Only
char * | url | Read / Write / Construct Only
guint | width | Read / Write / Construct Only

## Types and Values

| SnapdScreenshot

## Object Hierarchy

        GObject
        ╰── SnapdScreenshot

## Includes

    #include <snapd-glib/snapd-glib.h>

## Description

A SnapdScreenshot represents a screenshot that shows a snap. Screenshots can be queried using `snapd_snap_get_screenshots()`.

## Functions

### snapd_screenshot_get_url ()

    const gchar *
    snapd_screenshot_get_url (SnapdScreenshot *screenshot);

Get the URL for this screenshot, e.g. "http://example.com/screenshot.png"

#### Parameters

screenshot | a SnapdScreenshot. |

#### Returns

a URL

Since: 1.0

### snapd_screenshot_get_width ()

    guint
    snapd_screenshot_get_width (SnapdScreenshot *screenshot);

Get the width of the screenshot in pixels or 0 if unknown.

Return: a width

#### Parameters

screenshot | a SnapdScreenshot. |

Since: 1.0

### snapd_screenshot_get_height ()

    guint
    snapd_screenshot_get_height (SnapdScreenshot *screenshot);

Get the height of the screenshot in pixels or 0 if unknown.

Return: a height

#### Parameters

screenshot | a SnapdScreenshot. |

Since: 1.0

## Types and Values

### SnapdScreenshot

    typedef struct _SnapdScreenshot SnapdScreenshot;

SnapdScreenshot contains screenshot information.

Since: 1.0

## Property Details

### The `“height”` property

      “height”                   guint

Height of screenshot in pixels.

Owner: SnapdScreenshot

Flags: Read / Write / Construct Only

Default value: 0

### The `“url”` property

      “url”                      char *

URL for this screenshot.

Owner: SnapdScreenshot

Flags: Read / Write / Construct Only

Default value: NULL

### The `“width”` property

      “width”                    guint

Width of screenshot in pixels.

Owner: SnapdScreenshot

Flags: Read / Write / Construct Only

Default value: 0